/** A wrapper that will send completed work remotely */
export class ProgressMonitorDelegate {
    constructor(progressTracker, totalAmount) {
        this.progressTracker = progressTracker;
        this.totalAmount = totalAmount;
        this.ref = progressTracker.registerMonitor(totalAmount);
    }
    async workDone(amount) {
        await this.progressTracker.workDoneForMonitor(await this.ref, amount);
    }
    async completed() {
        await this.progressTracker.workDoneForMonitor(await this.ref, this.totalAmount);
    }
}
//# sourceMappingURL=ProgressMonitorDelegate.js.map