import { Dialog } from "../../gui/base/Dialog.js";
import m from "mithril";
import stream from "mithril/stream";
import { TextField } from "../../gui/base/TextField.js";
import { lang } from "../../misc/LanguageViewModel.js";
import { downcast } from "@tutao/tutanota-utils";
export function showEditCalendarDialog({ name, color }, titleTextId, shared, okAction, okTextId, warningMessage) {
    const nameStream = stream(name);
    let colorPickerDom;
    const colorStream = stream("#" + color);
    Dialog.showActionDialog({
        title: () => lang.get(titleTextId),
        allowOkWithReturn: true,
        child: {
            view: () => m(".flex.col", [
                warningMessage ? warningMessage() : null,
                m(TextField, {
                    value: nameStream(),
                    oninput: nameStream,
                    label: "calendarName_label",
                }),
                m(".small.mt.mb-xs", lang.get("color_label")),
                m("input.color-picker", {
                    oncreate: ({ dom }) => (colorPickerDom = downcast(dom)),
                    type: "color",
                    value: colorStream(),
                    oninput: (inputEvent) => {
                        const target = inputEvent.target;
                        colorStream(target.value);
                    },
                }),
            ]),
        },
        okActionTextId: okTextId,
        okAction: (dialog) => {
            okAction(dialog, {
                name: nameStream(),
                color: colorStream().substring(1),
            });
        },
    });
}
//# sourceMappingURL=EditCalendarDialog.js.map