import m from "mithril";
import { theme } from "../../gui/theme.js";
import { ContactViewer } from "./ContactViewer.js";
import { responsiveCardHMargin } from "../../gui/cards.js";
/** Wraps contact viewer in a nice card. */
export class ContactCardViewer {
    view({ attrs }) {
        const { contact, onWriteMail, editAction, deleteAction } = attrs;
        return [
            m(".border-radius-big.rel", {
                class: responsiveCardHMargin(),
                style: {
                    backgroundColor: theme.content_bg,
                },
            }, m(ContactViewer, {
                contact,
                onWriteMail,
                editAction,
                deleteAction,
            })),
            m(".mt-l"),
        ];
    }
}
//# sourceMappingURL=ContactCardViewer.js.map