import m from "mithril";
import ColumnEmptyMessageBox from "../../gui/base/ColumnEmptyMessageBox";
import { lang } from "../../misc/LanguageViewModel";
import { theme } from "../../gui/theme";
import { assertMainOrNode } from "../../api/common/Env";
import { Button } from "../../gui/base/Button.js";
assertMainOrNode();
/**
 * The ContactViewer displays the action buttons for multiple selected contacts.
 */
export class MultiContactViewer {
    view({ attrs }) {
        return [
            m(ColumnEmptyMessageBox, {
                message: () => getContactSelectionMessage(attrs.selectedEntities.length),
                icon: "Contacts" /* BootIcons.Contacts */,
                color: theme.content_message_bg,
                bottomContent: attrs.selectedEntities.length > 0
                    ? m(Button, {
                        label: "cancel_action",
                        type: "secondary" /* ButtonType.Secondary */,
                        click: () => attrs.selectNone(),
                    })
                    : undefined,
                backgroundColor: theme.navigation_bg,
            }),
        ];
    }
}
export function getContactSelectionMessage(numberEntities) {
    if (numberEntities === 0) {
        return lang.get("noContact_msg");
    }
    else {
        return lang.get("nbrOfContactsSelected_msg", {
            "{1}": numberEntities,
        });
    }
}
//# sourceMappingURL=MultiContactViewer.js.map