import { DrawerMenu } from "./nav/DrawerMenu.js";
import { theme } from "./theme.js";
import m from "mithril";
import { lang } from "../misc/LanguageViewModel.js";
import { landmarkAttrs } from "./AriaUtils.js";
import { BaseButton } from "./base/buttons/BaseButton.js";
import { px, size } from "./size.js";
export class FolderColumnView {
    view({ attrs }) {
        return m(".flex.height-100p.nav-bg", [
            m(DrawerMenu, attrs.drawer),
            m(".folder-column.flex-grow.overflow-x-hidden.flex.col", landmarkAttrs("navigation" /* AriaLandmarks.Navigation */, lang.getMaybeLazy(attrs.ariaLabel)), [
                this.renderMainButton(attrs),
                m(".scroll.scrollbar-gutter-stable-or-fallback.visible-scrollbar.overflow-x-hidden.flex.col.flex-grow", {
                    onscroll: (e) => {
                        const target = e.target;
                        if (attrs.button == null || target.scrollTop === 0) {
                            target.style.borderTop = "";
                        }
                        else {
                            target.style.borderTop = `1px solid ${theme.content_border}`;
                        }
                    },
                }, attrs.content),
            ]),
        ]);
    }
    renderMainButton(attrs) {
        if (attrs.button) {
            const label = lang.get(attrs.button.label);
            return m(".plr-button-double.scrollbar-gutter-stable-or-fallback.scroll", m(BaseButton, {
                label,
                text: label,
                onclick: attrs.button.click,
                class: "full-width border-radius-big center b flash",
                style: {
                    border: `2px solid ${theme.content_accent}`,
                    // matching toolbar
                    height: px(size.button_height + size.vpad_xs * 2),
                    color: theme.content_accent,
                },
            }));
        }
        else {
            return null;
        }
    }
}
//# sourceMappingURL=FolderColumnView.js.map