import m from "mithril";
import { lang } from "../../misc/LanguageViewModel";
import { Icon } from "./Icon";
import { assertMainOrNode } from "../../api/common/Env";
import { getColors } from "./Button.js";
import { BaseButton } from "./buttons/BaseButton.js";
assertMainOrNode();
export class IconButton {
    view({ attrs }) {
        return m(BaseButton, {
            label: lang.getMaybeLazy(attrs.title),
            icon: m(Icon, {
                icon: attrs.icon,
                container: "div",
                class: "center-h",
                large: true,
                style: {
                    fill: getColors(attrs.colors ?? "content" /* ButtonColor.Content */).button,
                },
            }),
            onclick: attrs.click,
            onkeydown: attrs.onkeydown,
            class: `icon-button state-bg ${IconButton.getSizeClass(attrs.size)}`,
        });
    }
    static getSizeClass(size) {
        switch (size) {
            case 1 /* ButtonSize.Compact */:
                return "compact";
            case 0 /* ButtonSize.Normal */:
            default:
                return "";
        }
    }
}
//# sourceMappingURL=IconButton.js.map