import m from "mithril";
import { px } from "../size";
export class SegmentControl {
    view(vnode) {
        return [
            m(".segmentControl.flex.center-horizontally.button-height", {
                role: "tablist",
            }, vnode.attrs.items.map((item) => m("button.segmentControlItem.flex.center-horizontally.center-vertically.text-ellipsis.small" +
                (item.value === vnode.attrs.selectedValue ? ".segmentControl-border-active.content-accent-fg" : ".segmentControl-border"), {
                style: {
                    flex: "0 1 " + (typeof vnode.attrs.itemMaxWidth !== "undefined" ? px(vnode.attrs.itemMaxWidth) : px(120)),
                },
                title: item.name,
                role: "tab",
                "aria-selected": String(item.value === vnode.attrs.selectedValue),
                onclick: () => this._onSelected(item, vnode.attrs),
            }, item.name))),
        ];
    }
    _onSelected(item, attrs) {
        if (item.value !== attrs.selectedValue) {
            attrs.onValueSelected(item.value);
        }
    }
}
//# sourceMappingURL=SegmentControl.js.map