import { lang } from "../../../misc/LanguageViewModel.js";
import m from "mithril";
import { px, size } from "../../size.js";
import { BaseButton } from "./BaseButton.js";
import { theme } from "../../theme.js";
export class BannerButton {
    view({ attrs }) {
        const text = lang.getMaybeLazy(attrs.text);
        return m(BaseButton, {
            label: text,
            text,
            class: `border-radius mr-s center ${attrs.class} ${attrs.disabled ? "disabled" : ""}`,
            style: {
                border: `2px solid ${attrs.disabled ? theme.content_button : attrs.borderColor}`,
                color: attrs.disabled ? theme.content_button : attrs.color,
                padding: px(size.hpad_button),
                minWidth: "60px",
            },
            disabled: attrs.disabled,
            onclick: attrs.click,
        });
    }
}
//# sourceMappingURL=BannerButton.js.map