import m from "mithril";
import { BaseButton } from "./BaseButton.js";
import { Icon } from "../Icon.js";
import { theme } from "../../theme.js";
import { lang } from "../../../misc/LanguageViewModel.js";
/** A button that is styled the same as a `NavButton`. */
export class RowButton {
    view(vnode) {
        const attrs = vnode.attrs;
        const label = lang.getMaybeLazy(attrs.label);
        const text = lang.getMaybeLazy(attrs.text ?? attrs.label);
        const color = attrs.selected ? theme.content_button_selected : theme.content_button;
        return m(BaseButton, {
            label,
            text: m(".plr-button.text-ellipsis", { style: { color } }, text),
            role: attrs.role,
            selected: attrs.selected,
            icon: attrs.icon && attrs.icon !== "none"
                ? m(Icon, {
                    icon: attrs.icon,
                    container: "div",
                    class: "mr-button",
                    style: { fill: color },
                    large: true,
                })
                : attrs.icon === "none"
                    ? m(".icon-large.mr-button")
                    : null,
            class: "flex items-center state-bg button-content plr-button " + attrs.class,
            style: {
                ...attrs.style,
                color,
            },
            onclick: attrs.onclick,
        });
    }
}
//# sourceMappingURL=RowButton.js.map