import m from "mithril";
import { Icon } from "../Icon.js";
import { lang } from "../../../misc/LanguageViewModel.js";
import { getColors } from "../Button.js";
import { BaseButton } from "./BaseButton.js";
export class ToggleButton {
    view({ attrs }) {
        return m(BaseButton, {
            label: lang.getMaybeLazy(attrs.title),
            icon: m(Icon, {
                icon: attrs.icon,
                container: "div",
                class: "center-h",
                large: true,
                style: {
                    fill: getColors(attrs.colors ?? "content" /* ButtonColor.Content */).button,
                },
            }),
            class: `toggle-button state-bg ${attrs.size === 1 /* ButtonSize.Compact */ ? "compact" : ""}`,
            style: attrs.style,
            pressed: attrs.toggled,
            onclick: (e) => attrs.onToggled(!attrs.toggled, e),
        });
    }
}
//# sourceMappingURL=ToggleButton.js.map