import m from "mithril";
import { MailFilterType } from "../model/MailUtils.js";
import { createDropdown } from "../../gui/base/Dropdown.js";
import { ToggleButton } from "../../gui/base/buttons/ToggleButton.js";
export class MailFilterButton {
    view({ attrs }) {
        return m(ToggleButton, {
            icon: "Filter" /* Icons.Filter */,
            title: "filter_label",
            toggled: attrs.filter != null,
            onToggled: (_, event) => this.showDropdown(attrs, event),
        });
    }
    showDropdown({ filter, setFilter }, event) {
        createDropdown({
            lazyButtons: () => [
                {
                    selected: filter === MailFilterType.Unread,
                    label: "filterUnread_label",
                    click: () => {
                        setFilter(MailFilterType.Unread);
                    },
                },
                {
                    selected: filter === MailFilterType.Read,
                    label: "filterRead_label",
                    click: () => {
                        setFilter(MailFilterType.Read);
                    },
                },
                {
                    selected: filter === MailFilterType.WithAttachments,
                    label: "filterWithAttachments_label",
                    click: () => {
                        setFilter(MailFilterType.WithAttachments);
                    },
                },
                {
                    label: "filterAllMails_label",
                    click: () => {
                        setFilter(null);
                    },
                },
            ],
        })(event, event.target);
    }
}
//# sourceMappingURL=MailFilterButton.js.map