import m from "mithril";
import { IconButton } from "../../gui/base/IconButton.js";
import { promptAndDeleteMails, showMoveMailsDropdown } from "./MailGuiUtils.js";
import { DROPDOWN_MARGIN } from "../../gui/base/Dropdown.js";
import { MobileBottomActionBar } from "../../gui/MobileBottomActionBar.js";
export class MobileMailMultiselectionActionBar {
    constructor() {
        this.dom = null;
    }
    view({ attrs }) {
        const { mails, selectNone, mailModel } = attrs;
        return m(MobileBottomActionBar, {
            oncreate: ({ dom }) => (this.dom = dom),
        }, [
            m(IconButton, {
                icon: "Trash" /* Icons.Trash */,
                title: "delete_action",
                click: () => promptAndDeleteMails(mailModel, mails, selectNone),
            }),
            mailModel.isMovingMailsAllowed()
                ? m(IconButton, {
                    icon: "Folder" /* Icons.Folder */,
                    title: "move_action",
                    click: (e, dom) => {
                        const referenceDom = this.dom ?? dom;
                        showMoveMailsDropdown(mailModel, referenceDom.getBoundingClientRect(), mails, {
                            onSelected: () => selectNone,
                            width: referenceDom.offsetWidth - DROPDOWN_MARGIN * 2,
                        });
                    },
                })
                : null,
            m(IconButton, {
                icon: "Eye" /* Icons.Eye */,
                title: "markRead_action",
                click: () => {
                    mailModel.markMails(mails, false);
                    // I think these should be left out and it stops a bug, but we'll see
                    //selectNone()
                },
            }),
            m(IconButton, {
                icon: "NoEye" /* Icons.NoEye */,
                title: "markUnread_action",
                click: () => {
                    mailModel.markMails(mails, true);
                    //selectNone()
                },
            }),
        ]);
    }
}
//# sourceMappingURL=MobileMailMultiselectionActionBar.js.map