var _a;
import m from "mithril";
import { LazyLoaded } from "@tutao/tutanota-utils";
/**
 * Lazy wrapper around SearchBar which unfortunately resides in the search chunk right now and cannot be imported from some files.
 *
 * Ideally this would be a generic component but it's not simple to implement.
 */
export class LazySearchBar {
    oninit(vnode) {
        _a.searchBar.load();
    }
    view(vnode) {
        const searchBar = _a.searchBar.getSync();
        if (searchBar) {
            return m(searchBar, vnode.attrs);
        }
        else {
            return null;
        }
    }
}
_a = LazySearchBar;
LazySearchBar.searchBar = new LazyLoaded(async () => {
    const { searchBar } = await import("../search/SearchBar.js");
    m.redraw();
    return searchBar;
});
//# sourceMappingURL=LazySearchBar.js.map