import m from "mithril";
import { lang } from "../misc/LanguageViewModel";
import { Dialog } from "../gui/base/Dialog";
import { renderCheckResult } from "./emaildomain/VerifyDnsRecordsPage";
import { assertMainOrNode } from "../api/common/Env";
assertMainOrNode();
/**
 * @pre domainStatus.status.isLoaded() == true
 */
export function showDnsCheckDialog(domainStatus) {
    let dialog = Dialog.showActionDialog({
        type: "EditLarger" /* DialogType.EditLarger */,
        title: () => lang.get("checkDnsRecords_action"),
        okActionTextId: "checkAgain_action",
        cancelActionTextId: "close_alt",
        child: () => renderCheckResult(domainStatus, true),
        okAction: () => {
            domainStatus.loadCurrentStatus().then(() => {
                if (domainStatus.areRecordsFine()) {
                    dialog.close();
                }
                else {
                    m.redraw();
                }
            });
        },
    });
}
//# sourceMappingURL=CheckDomainDnsStatusDialog.js.map