import { RsaEccKeyPair, RsaKeyPair, RsaPublicKey } from "./RsaKeyPair.js";
import { PQKeyPairs, PQPublicKeys } from "./PQKeyPairs.js";
export declare enum KeyPairType {
    RSA = 0,
    RSA_AND_ECC = 1,
    TUTA_CRYPT = 2
}
export type AsymmetricKeyPair = RsaKeyPair | RsaEccKeyPair | PQKeyPairs;
export type AbstractKeyPair = {
    keyPairType: KeyPairType;
};
export type AsymmetricPublicKey = RsaPublicKey | PQPublicKeys;
export type AbstractPublicKey = {
    keyPairType: KeyPairType;
};
export declare function isPqKeyPairs(keyPair: AbstractKeyPair): keyPair is PQKeyPairs;
export declare function isRsaOrRsaEccKeyPair(keyPair: AbstractKeyPair): keyPair is RsaKeyPair;
export declare function isRsaEccKeyPair(keyPair: AbstractKeyPair): keyPair is RsaEccKeyPair;
export declare function isPqPublicKey(publicKey: AbstractPublicKey): publicKey is PQPublicKeys;
export declare function isRsaPublicKey(publicKey: AbstractPublicKey): publicKey is RsaPublicKey;
