import type { Aes256Key, AesKey } from "./Aes.js";
import type { RsaPrivateKey } from "./RsaKeyPair.js";
import { EccPrivateKey } from "./Ecc.js";
import { AsymmetricKeyPair } from "./AsymmetricKeyPair.js";
export type EncryptedKeyPairs = {
    pubEccKey: null | Uint8Array;
    pubKyberKey: null | Uint8Array;
    pubRsaKey: null | Uint8Array;
    symEncPrivEccKey: null | Uint8Array;
    symEncPrivKyberKey: null | Uint8Array;
    symEncPrivRsaKey: null | Uint8Array;
};
export declare function encryptKey(encryptionKey: AesKey, keyToBeEncrypted: AesKey): Uint8Array;
export declare function decryptKey(encryptionKey: AesKey, keyToBeDecrypted: Uint8Array): AesKey;
export declare function aes256DecryptWithRecoveryKey(encryptionKey: Aes256Key, keyToBeDecrypted: Uint8Array): Aes256Key;
export declare function encryptRsaKey(encryptionKey: AesKey, privateKey: RsaPrivateKey, iv?: Uint8Array): Uint8Array;
export declare function encryptEccKey(encryptionKey: AesKey, privateKey: EccPrivateKey): Uint8Array;
export declare function decryptRsaKey(encryptionKey: AesKey, encryptedPrivateKey: Uint8Array): RsaPrivateKey;
export declare function decryptKeyPair(encryptionKey: AesKey, keyPair: EncryptedKeyPairs): AsymmetricKeyPair;
