/** One part of the test. Has multiple metrics that are sent together. */
export class Stage {
    constructor(number, test, minPings, maxPings) {
        this.number = number;
        this.test = test;
        this.minPings = minPings;
        this.maxPings = maxPings;
        this.collectedMetrics = new Map();
        this.metricConfigs = new Map();
    }
    /**
     * Attempts to complete the stage and returns true if a ping has been sent successfully.
     */
    async complete() {
        return await this.test.completeStage(this);
    }
    setMetric(metric) {
        this.collectedMetrics.set(metric.name, metric);
    }
    setMetricConfig(metricConfig) {
        this.metricConfigs.set(metricConfig.name, metricConfig);
    }
}
export class ObsoleteStage extends Stage {
    async complete() {
        return true;
    }
    setMetric(metric) {
        // no op
    }
}
