/**
 * T should be restricted to Entity.
 */
export declare class TypeRef<T> {
    readonly app: string;
    readonly type: string;
    /**
     * Field that is never set. Used to make two TypeRefs incompatible (they are structurally compared otherwise).
     * Cannot be private.
     */
    readonly phantom: T | null;
    constructor(app: string, type: string);
    /**
     * breaks when the object passes worker barrier
     */
    toString(): string;
}
export declare function getTypeId(typeRef: TypeRef<unknown>): string;
export declare function isSameTypeRefByAttr(typeRef: TypeRef<unknown>, app: string, typeName: string): boolean;
export declare function isSameTypeRef(typeRef1: TypeRef<unknown>, typeRef2: TypeRef<unknown>): boolean;
export declare function isSameTypeRefNullable(typeRef1: TypeRef<unknown> | null, typeRef2: TypeRef<unknown> | null): boolean;
